<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
UpdateReferences Method (IEdmBatchItemReferenceUpdate)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchItemReferenceUpdate Interface : UpdateReferences Method (IEdmBatchItemReferenceUpdate)

Visual Basic
C#
C++/CLI

ppoAddReferences
  Array of EdmItemRef structures; item references to add

ppoRemoveReferences
  Array of EdmItemRef structures; item references to remove

Adds or removes item references.

# Syntax

Visual Basic |
--- | ---

    Sub UpdateReferences( _
       ByRef ppoAddReferences() As EdmItemRef, _
       ByRef ppoRemoveReferences() As EdmItemRef _
    )

C# |
--- | ---

    void UpdateReferences(
       out EdmItemRef[] ppoAddReferences,
       out EdmItemRef[] ppoRemoveReferences
    )

C++/CLI |
--- | ---

    void UpdateReferences(
    &   [Out] array<EdmItemRef>^ ppoAddReferences,
    &   [Out] array<EdmItemRef>^ ppoRemoveReferences
    )

#### Parameters

ppoAddReferences
  Array of EdmItemRef structures; item references to add
ppoRemoveReferences
  Array of EdmItemRef structures; item references to remove

# Example

See the IEdmBatchItemReferenceUpdate examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchItemReferenceUpdate Interface
IEdmBatchItemReferenceUpdate Members

# Availability

SOLIDWORKS PDM Professional 2010